This page covers a non-latest version of Handsontable.
The following example implements the @handsontable/vue component, adding a custom Context Menu.
@handsontable/vue
import Vue from 'vue'; import { HotTable } from '@handsontable/vue'; import { ContextMenu } from 'handsontable/plugins/contextMenu'; import { registerAllModules } from 'handsontable/registry'; import { createSpreadsheetData } from './helpers'; // register Handsontable's modules registerAllModules(); new Vue({ el: '#example1', data() { return { hotSettings: { data: createSpreadsheetData(5, 5), colHeaders: true, contextMenu: { items: { 'row_above': { name: 'Insert row above this one (custom name)' }, 'row_below': {}, 'separator': ContextMenu.SEPARATOR, 'clear_custom': { name: 'Clear all cells (custom)', callback() { this.clear(); } } } }, height: 'auto', licenseKey: 'non-commercial-and-evaluation' } } }, components: { HotTable } });
<div id="example1"> <hot-table :settings="hotSettings"></hot-table> </div>
allowInsertColumn
allowInsertRow
allowRemoveColumn
allowRemoveRow
contextMenu
dropdownMenu
afterContextMenuDefaultOptions
afterContextMenuHide
afterContextMenuShow
afterDropdownMenuDefaultOptions
afterDropdownMenuHide
afterDropdownMenuShow
afterOnCellContextMenu
beforeContextMenuSetItems
beforeContextMenuShow
beforeDropdownMenuSetItems
beforeDropdownMenuShow
beforeOnCellContextMenu
ContextMenu
← Custom ID, Class, Style and other attributes in Vue 2 Custom editor in Vue 2 →

Angular Data GridCustom context menu in Angular

Customize the context menu of your Angular data grid, by creating a custom function for each menu item.

Example

The following is an implementation of the @handsontable/angular component with a custom context menu added.

/* file: app.component.ts */
import { Component } from '@angular/core';
import Handsontable from 'handsontable/base';
import { ContextMenu } from 'handsontable/plugins/contextMenu';

@Component({
  selector: 'app-root',
  standalone: false,
  template: `
    <div>
      <hot-table [settings]="hotSettings"></hot-table>
    </div>
  `,
})

export class AppComponent {
  hotSettings: Handsontable.GridSettings = {
    data: [
      ['A1', 'B1', 'C1', 'D1', 'E1'],
      ['A2', 'B2', 'C2', 'D2', 'E2'],
      ['A3', 'B3', 'C3', 'D3', 'E3'],
      ['A4', 'B4', 'C4', 'D4', 'E4'],
      ['A5', 'B5', 'C5', 'D5', 'E5'],
    ],
    colHeaders: true,
    contextMenu: {
      items: {
        'row_above': {
          name: 'Insert row above this one (custom name)'
        },
        'row_below': {},
        'separator': ContextMenu.SEPARATOR,
        'clear_custom': {
          name: 'Clear all cells (custom)',
          callback: function() {
            this.clear();
          }
        }
      }
    },
    height: 'auto',
    autoWrapRow: true,
    autoWrapCol: true,
    licenseKey: 'non-commercial-and-evaluation'
  };
}


/* file: app.module.ts */
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HotTableModule } from '@handsontable/angular';
import { registerAllModules } from 'handsontable/registry';
import { AppComponent } from './app.component';

// register Handsontable's modules
registerAllModules();

@NgModule({
  imports: [ BrowserModule, HotTableModule ],
  declarations: [ AppComponent ],
  bootstrap: [ AppComponent ]
})
export class AppModule { }